## python-countrynames 1.15.2

=== debian/changelog ===
python-countrynames (1.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 03 Aug 2023 18:39:14 +0100

python-countrynames (1.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 23 Jul 2023 09:55:44 -0700

python-countrynames (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix bug number in previous changelog entry.

 -- Edward Betts <edward@4angle.com>  Fri, 16 Jun 2023 13:06:50 +0100

python-countrynames (1.14.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1030572)

 -- Edward Betts <edward@4angle.com>  Mon, 12 Jun 2023 12:42:13 +0100

## python-countrynames 1.16.10

=== Makefile ===

all: clean

compile:
	python countrynames/compile.py

typecheck:
	mypy --strict countrynames

test: compile typecheck
	pip install -q -e ".[dev]"
	pytest

clean:
	rm -rf dist build

## python-countrynames 1.15.3

=== debian/changelog ===
python-countrynames (1.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Nov 2023 10:03:30 -0300

=== debian/control ===
Source: python-countrynames
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-jellyfish <!nocheck>,
               python3-normality <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/occrp/countrynames
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-countrynames
Vcs-Git: https://salsa.debian.org/python-team/packages/python-countrynames.git

Package: python3-countrynames
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Map country names to ISO codes
 This library helps with the mapping of country names to their respective
 two or three letter codes. The idea is to incorporate common names for
 countries, and even some limited misspellings, as they occur in source data.
 .
 There is also support for fuzzy matching, which uses a heuristic based on
 Levenshtein distance.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=countrynames
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf countrynames.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-levenshtein, python3-normality, python3-pytest, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-countrynames-$1\.tar\.gz/ \
  https://github.com/occrp/countrynames/tags .*/v?(\d\S+)\.tar\.gz

## python-countrynames 1.16.2

=== debian/changelog ===
python-countrynames (1.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Upstream updated the copyright year.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 17:17:53 +0100

=== debian/control ===
Source: python-countrynames
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-jellyfish <!nocheck>,
 python3-normality <!nocheck>,
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/occrp/countrynames
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-countrynames
Vcs-Git: https://salsa.debian.org/python-team/packages/python-countrynames.git

Package: python3-countrynames
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Map country names to ISO codes
 This library helps with the mapping of country names to their respective
 two or three letter codes. The idea is to incorporate common names for
 countries, and even some limited misspellings, as they occur in source data.
 .
 There is also support for fuzzy matching, which uses a heuristic based on
 Levenshtein distance.

## python-countrynames 1.16.5

=== debian/changelog ===
python-countrynames (1.16.5-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched from building with setuptools to using hatchling.
  * Simplify debian/watch.
  * Add pybuild-plugin-pyproject to Build-Depends.

 -- Edward Betts <edward@4angle.com>  Wed, 25 Dec 2024 20:31:53 +0000

python-countrynames (1.16.4-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched from using jellyfish to rapidfuzz.
  * Update github URLs.
  * Update upstream author email address.
  * Add python3-icu as a dependency.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Dec 2024 08:31:03 +0000

## python-countrynames 1.16.6

=== debian/changelog ===
python-countrynames (1.16.6-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Wed, 29 Jan 2025 13:19:06 +0000

## python-countrynames 1.16.10

=== debian/changelog ===
python-countrynames (1.16.10-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 18 Feb 2025 08:25:07 -0500

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,24 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
- python3-jellyfish <!nocheck>,
+ python3-icu <!nocheck>,
  python3-normality <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-rapidfuzz <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Homepage: https://github.com/occrp/countrynames
+Homepage: https://github.com/opensanctions/countrynames
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-countrynames
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-countrynames.git
 
 Package: python3-countrynames
 Architecture: all
 Depends:
+ python3-icu,
  ${misc:Depends},
  ${python3:Depends},
 Description: Map country names to ISO codes

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-levenshtein,
 python3-normality,
 python3-pytest,
 @,

=== debian/watch ===
version=4
https://github.com/opensanctions/countrynames/tags .*/v?(\d\S+)\.tar\.gz
